@echo off
rem #-------------------------------------------------------------------------------------------------------------------
rem #
rem # Filename: collectedLogs.bat
rem #
rem # Description: Calls the CollectLogs java program which zips up all the log files from a specified set of directories
rem #              The batch file should be located in the \Director\support directory and you can specify a destination
rem #              directory for the resulting zip file as an argument to the batch file. If no  argument is specified,
ren #              the file will be created in a default location, that being \Director\log\collectedLogs.zip     
rem #
rem # Change History:
rem #
rem #  Modifier            Date                Change ID Description
rem # ------------------------------------------------------------------------------------------------------------------
rem #  Louise Maher     12-12-2003    Initial creation  
rem #-------------------------------------------------------------------------------------------------------------------

@setlocal

cd /d "%~dp0"

set CLASSPATH="..\classes\mdm\lib\DMExtension.jar";

"..\jre\bin\java" -classpath %CLASSPATH% com.ibm.storage.mdm.dm.logs.collectlogs.CollectLogs %1
@endlocal
