#!/bin/bash

DM_KEY=ibmmdmdm
JAVA_HOME_OPT=""
VPD_FILE=~root/vpd.properties;
if [ -e $VPD_FILE ]; then
 DM_DIR=$(awk -F'|' "\$1==\"$DM_KEY\" { print \$13 }" $VPD_FILE 2>/dev/null)
 if [  $? -eq 0 ]; then
  if [ -d ${DM_DIR}/_jvm ]; then
   JAVA_HOME_OPT="-is:javahome ${DM_DIR}/_jvm"
  fi
 fi
fi 
cd $(dirname $0)
./setup.linux $JAVA_HOME_OPT  ${1+"$@"}
